Bug 914019 - gcl: FTBFS in rawhide
gcl: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcl (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
: 914432 (view as bug list)
Depends On:
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:24 EST by Dennis Gilmore
Modified: 2013-03-23 16:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-23 16:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 04:24:53 EST
Your package gcl failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4961530

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/1530/4961530/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/1530/4961530/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/1530/4961530/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Jerry James 2013-02-23 12:37:38 EST
*** Bug 914432 has been marked as a duplicate of this bug. ***
Comment 2 Jerry James 2013-02-23 12:38:59 EST
The gcl package has consistently built successfully in mock for me, ever since the mass rebuild.  It also consistently fails to build on the koji builders, complaining about memory corruption.  I don't yet know what is different about the koji builders that could cause this.
Comment 3 Jerry James 2013-02-23 23:32:58 EST
No, that's not right.  What is *really* going on is that the build succeeds on x86_64 (which is what I've been building in mock), but fails on i386.  The same thing happened with gmp-ecm, and that turned out to be due to changes in GMP 5.1.  Since GCL built successfully in mid-January, before GMP 5.1 was imported to Rawhide, it seems plausible that some adjustment needs to be made to the GMP-using code in GCL.  I will try to track it down.
Comment 4 Jerry James 2013-03-22 23:48:40 EDT
It turns out that adding -fno-omit-frame-pointer "fixes" the i386 build.  I still don't know why that is, but it has nothing to do with GMP.  Without that option, the value stack overflows, stomping all over any memory in its path.  I'll do a build tonight with that option, and work with upstream to discover why it is necessary.

Note You need to log in before you can comment on or make changes to this bug.